> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pipevest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Assets

> Returns list of assets for a given customer



## OpenAPI

````yaml GET /assets
openapi: 3.0.0
info:
  title: Pipevest Investment API
  description: Connecting millions of Africans to the global economy
  version: 0.0.1
servers:
  - url: https://api.pipevest.com/v1
    description: Production server
  - url: https://api.staging.pipevest.com/v1
    description: Staging server
security:
  - BearerAuth: []
paths:
  /assets:
    parameters:
      - $ref: '#/components/parameters/Signature'
      - $ref: '#/components/parameters/SignatureInput'
      - $ref: '#/components/parameters/XCliendId'
    get:
      tags:
        - Assets
      summary: Returns list of assets for a given customer
      parameters:
        - name: customerId
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/CustomerId'
        - name: accountId
          in: query
          description: filter by accountId
          schema:
            $ref: '#/components/schemas/AccountId'
        - name: portfolioId
          in: query
          description: filter by portfolioId
          schema:
            $ref: '#/components/schemas/PortfolioId'
        - $ref: '#/components/parameters/PageParam'
        - $ref: '#/components/parameters/LimitParam'
        - $ref: '#/components/parameters/SortParam'
      responses:
        '200':
          description: A JSON array of customer assets
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessMeta'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/Asset'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    Signature:
      in: header
      name: Signature
      schema:
        type: string
        example: 'sig1=:OTEyMjY4...A5NTNDMEQ=:'
        description: >
          Base64 encoded signed hash of the http message request components.


          [Learn how signatures
          work](/concepts/http-signature/message-signature)
      required: true
    SignatureInput:
      in: header
      name: Signature-Input
      schema:
        type: string
        example: sig1=("Content-Type" "Content-Digest"...expires=<expires>
        description: >
          An ordered list of components that make up the signature base. It is
          used to recompute and verify the `Signature`


          [Learn how signatures
          work](/concepts/http-signature/message-signature)
      required: true
    XCliendId:
      in: header
      name: X-Client-Id
      schema:
        $ref: '#/components/schemas/ClientId'
      example: client-id
      required: true
    PageParam:
      in: query
      name: page
      schema:
        $ref: '#/components/schemas/Page'
    LimitParam:
      in: query
      name: limit
      schema:
        $ref: '#/components/schemas/Limit'
    SortParam:
      in: query
      name: sort
      schema:
        $ref: '#/components/schemas/Sort'
  schemas:
    CustomerId:
      description: Unique customer identifier
      type: integer
      example: 123456
    AccountId:
      description: Unique account identifier
      type: integer
      example: 123456
    PortfolioId:
      description: Unique portfolio identifier
      type: integer
      example: 123456
    SuccessMeta:
      allOf:
        - $ref: '#/components/schemas/Success'
        - type: object
          properties:
            meta:
              $ref: '#/components/schemas/Meta'
          required:
            - meta
    Asset:
      type: object
      properties:
        assetId:
          $ref: '#/components/schemas/AssetId'
        instrumentId:
          $ref: '#/components/schemas/InstrumentId'
        customerId:
          $ref: '#/components/schemas/CustomerId'
        name:
          $ref: '#/components/schemas/AssetName'
        symbol:
          $ref: '#/components/schemas/AssetSymbol'
        investmentAmount:
          $ref: '#/components/schemas/InvestmentAmount'
        currency:
          $ref: '#/components/schemas/Currency'
        position:
          $ref: '#/components/schemas/Position'
        locked:
          $ref: '#/components/schemas/LockedPosition'
        available:
          $ref: '#/components/schemas/AvailablePosition'
        purchasePrice:
          $ref: '#/components/schemas/PurchasePrice'
        marketPrice:
          $ref: '#/components/schemas/MarketPrice'
        createdAt:
          $ref: '#/components/schemas/CreatedAt'
        updatedAt:
          $ref: '#/components/schemas/UpdatedAt'
      required:
        - assetId
        - instrumentId
        - customerId
        - name
        - symbol
        - investmentAmount
        - schedule
        - position
        - locked
        - available
        - purchasePrice
        - marketPrice
        - createdAt
        - updatedAt
    ClientId:
      description: Unique identifier assigned to the client
      type: string
      example: client-id
    Page:
      description: The page offset for the items returned
      type: integer
      minimum: 0
      example: 0
    Limit:
      description: The maximum numbers of items to return.
      type: integer
      minimum: 1
      maximum: 1000
      default: 100
      example: 100
    Sort:
      description: |
        The date order in which to sort the items

        This currently only works to sort `createdAt`.
      enum:
        - ASC
        - DESC
      example: ASC
    Success:
      type: object
      properties:
        data:
          oneOf:
            - type: object
            - type: array
        code:
          $ref: '#/components/schemas/ResponseCode'
        message:
          $ref: '#/components/schemas/ResponseMessage'
      required:
        - data
        - code
        - message
    Meta:
      type: object
      properties:
        previousPage:
          allOf:
            - $ref: '#/components/schemas/Page'
            - description: The previous page offset for the items returned
        currentPage:
          $ref: '#/components/schemas/Page'
        nextPage:
          allOf:
            - $ref: '#/components/schemas/Page'
            - description: The next page offset for the items returned
        limit:
          $ref: '#/components/schemas/Limit'
        currentCount:
          $ref: '#/components/schemas/CountCurrent'
        totalCount:
          $ref: '#/components/schemas/CountTotal'
        sort:
          allOf:
            - $ref: '#/components/schemas/Sort'
            - description: Order for `createdAt` in which the list was returned.
      required:
        - previousPage
        - currentPage
        - nextPage
        - limit
        - currentCount
        - totalCount
        - sort
    AssetId:
      description: Unique asset identifier
      type: integer
      example: 123456
    InstrumentId:
      description: Unique instrument identifier
      type: integer
      example: 123456
    AssetName:
      description: The display name of the asset
      type: string
      example: Apple Inc.
    AssetSymbol:
      description: The symbol associated by the asset
      type: string
      example: APPL
    InvestmentAmount:
      description: The total amount invested into an asset or group of assets
      type: integer
      example: 1550
    Currency:
      description: Associated currency
      enum:
        - USD
        - EUR
        - ZK
      example: ZK
    Position:
      description: The total quantity of the asset currently owned by the customer
      type: integer
      example: 10
    LockedPosition:
      description: The quantity of the asset currently locked in for trading
      type: integer
      example: 5
    AvailablePosition:
      description: The quantity of the asset currently available for trading
      type: integer
      example: 5
    PurchasePrice:
      description: The value of 1 unit of the asset during initial purchase
      type: integer
      example: 500
    MarketPrice:
      description: The current market price of 1 unit of the asset
      type: integer
      example: 550
    CreatedAt:
      description: Created at unix timestamp
      type: integer
      example: 1234567890
    UpdatedAt:
      description: Updated at unix timestamp
      type: integer
      example: 1234567890
    Error:
      type: object
      properties:
        code:
          allOf:
            - $ref: '#/components/schemas/ResponseCode'
            - example: 401
        message:
          allOf:
            - $ref: '#/components/schemas/ResponseMessage'
            - example: Unauthorized
      required:
        - code
        - message
    ResponseCode:
      description: Request response code
      type: string
      example: 200
    ResponseMessage:
      description: Request response message
      type: string
      example: Success
    CountCurrent:
      description: Total number of results returned with a request
      type: integer
      example: 100
    CountTotal:
      description: Total number of returnable results
      type: integer
      example: 1000
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Error'
              - type: object
                properties:
                  code:
                    type: string
                    example: 404
                  message:
                    type: string
                    example: Not Found
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````